
h1 {
	text-align: center;
	margin-bottom: 2rem;
}

.scrolled {
	white-space: nowrap;
	overflow-x: auto;
}

.scrolled::-webkit-scrollbar {display: none;}

button + button {margin-left: 1.5rem;}

button {white-space: nowrap;}

/*Modal*/
.fade.toast.show {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	margin: 4rem auto 0;
	animation-name: notification;
	animation-duration: 1s;
}

.ui.search > div {
	width: 100%;
	margin-bottom: 1.5rem;
}

.ui.small.basic.scrolling.modal.transition.visible.active {
	height: fit-content;
}

div#ytWidget {
	position: fixed;
	top: 0.5rem;
	z-index: 9999;
}
/*--------------------------------------------------------------------------------------------------------------------*/

.yt-wrapper.yt-wrapper_align_right {
	display: none !important;
}

#yt-widget .yt-button_type_left{
	padding: 0 .5rem !important;
}

/*--------------------------------------------------------------------------------------------------------------------*/
@keyframes init {
	0% {transform: translateY(-100%); box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.0);}
	25% {transform: translateY(-100%); box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.0);}
	50% {transform: translateY(0);}
	100% {box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.5);}
}

@keyframes init-bottom {
	0% {transform: translateY(100%); box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.0);}
	25% {transform: translateY(100%); box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.0);}
	50% {transform: translateY(0);}
	100% {box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.5);}
}

@keyframes button-moving {
	0% {transform: translateX(0%);}
	50% {transform: translateX(25%);}
	100% {transform: translateX(0%);}
}

@keyframes button-moving-inverted {
	0% {transform: translateX(0%);}
	50% {transform: translateX(-25%);}
	100% {transform: translateX(0%);}
}

@keyframes notification {
	0% {transform: translateY(-100%);}
	100% {transform: translateY(0%);}
}


/*--------------------------------------------------------------------------------------------------------------------*/
header, footer {
	position: sticky;
	height: 3.5rem;
	background: rgb(255, 255, 255);
	display: flex;
	align-items: center;
	animation-name: init;
	animation-duration: 6s;
	z-index: 1;
	box-shadow: 0 0 1rem 0 rgba(0, 0, 0, 0.5);
}

header > div {
	text-align: center;
	font-size: 1.4rem;
	color: rgba(0, 0, 0, 0.8);
}

header {top: 0}

footer {
	position: fixed;
	left: 0;
	right: 0;
	bottom: 0;
	animation-name: init-bottom;
}

/*--------------------------------------------------------------------------------------------------------------------*/

.categories-list {
	display: flex;
	flex-direction: row;
	margin-bottom: 2rem;
	animation: button-moving 14s linear infinite;
}

.categories-list.inverted {
	animation: button-moving-inverted 14s linear infinite;
}


.categories-list button.active {
	background: white !important;
	border: 0.1rem solid red !important;
	transition: 0.3s;
	color: rgba(0, 0, 0, 0.8) !important;
}

.categories-list:hover {
	animation-play-state: paused;
	-webkit-animation-play-state: paused;
}


/*--------------------------------------------------------------------------------------------------------------------*/
.meta-splitter {
	display: flex;
	justify-content: space-between;
	position: absolute;
	bottom: 0;
	background: rgba(0,0,0,0.01);
	left: 0;
	right: 0;
	padding: 0.5rem 1rem;
	backdrop-filter: blur(2px);
}

.meta-splitter a:last-child{
	background: #007bff2e;
	color: #e03997;
}

.meta-splitter a:last-child:hover,
.meta-splitter a.liked{
	background: #e03997;
	transition: 1s
}
.meta-splitter a:last-child:hover > svg,
.meta-splitter a.liked > svg{
	color: white;
	transition: 0.5s;
	transform: scale(1.5);
}

/*--------------------------------------------------------------------------------------------------------------------*/

.full-page {
	display: flex;
	height: calc(100vh - 3.5rem);
	padding-bottom: 3.5rem;
	justify-content: center;
	align-content: center;
	align-items: center;
	overflow: hidden;
}

.full-page > div {
	height: fit-content;
}

.card {
	margin: 0.5rem;
}